#pragma once
namespace YoggieEngine {
	class Camera {
	public:

		Camera(const Camera& other);
		Camera(glm::vec3 position, glm::vec3 rotation, float zoom);
		~Camera();
 
		void Update(); 


		float yaw = 180;
		float pitch = 0;
		float Zoom;

		glm::mat4 ViewMatrix;
		glm::mat4 ProjectionMatrix;

		glm::vec3 Position;
		glm::vec3 Rotation;

		glm::vec3 Front;
		glm::vec3 Right;
		glm::vec3 Up;
		

	};
}
